Package org.eclipse.net4j.util.ref

# Enum Class ReferenceType

java.lang.Object
java.lang.Enum<ReferenceType>
org.eclipse.net4j.util.ref.ReferenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReferenceType>`, `Constable`

public enum ReferenceType extends Enum<ReferenceType>

Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PHANTOM`
`SOFT`
`STRONG`
`WEAK`

## Method Summary

Modifier and Type
Method
Description
`static ReferenceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReferenceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRONG

public static final ReferenceType STRONG

### SOFT

public static final ReferenceType SOFT

### WEAK

public static final ReferenceType WEAK

### PHANTOM

public static final ReferenceType PHANTOM

## Method Details

### values

public static ReferenceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReferenceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null